Installing the Skycat Software
------------------------------

Binary Installation
-------------------

Precompiled versions of Skycat are available from the Skycat ftp site:

	ftp://ftp.eso.org/pub/archive/skycat

Due to technical reasons, there is no longer a single binary version
of Skycat. Instead, the installation method depends on the OS:

Mac OS X
--------

The skycat ftp site contains a disk image that you can download and
mount in the usual way. Just click on the image and drag the skycat
icon to your desktop or Applications folder. Make sure you have the
optional X11 package installed. The skycat start script will try to
start X11, if it is not already running. This version was compiled on
a Powerbook running Mac OS X 10.4.4. All of the required Tcl/Tk
extensions are included in the Skycat application directory (neither
Fink nor DarwinPorts had all of the ones we need).

Linux
-----

RPM Install
-----------

For Linux (Redhat9, Fedora3, Fedora4, Scientific Linux 4.1, SuSE-10),
install the RPMs for tcl, tk, (tcl-devel, tk-devel), itcl, tclx, BLT,
tkimg, and skycat. For example, first install the standard tcl/tk
packages for the system in the usual way, using yum (Fedora), or yast
(SuSE):

	yum install tcl
	yum install tk
	yum install itcl
	...

Only SuSE-10 comes with all of the required Tcl extensions, however
you can get the missing rpms (for itcl, BLT, tclx, tkimg) from
the skycat ftp site and install them with:

	rpm -i ...

Tarball Install
----------------
If you don't have the root password for the machine, you won't be able
to install the RPMs. In that case, you can download a tar file
containing the skycat and tcltk installation directory compiled for
the given OS. You can put this directory anywhere and include the
$skycat/bin dir in your shell path. Then you can start skycat with the
command "skycat&".
	
Solaris9 and HP-UX10
--------------------

You can download a tar file from the skycat ftp site that contains the
complete skycat/tcltk installation in a relocatable directory. Just
untar the file somewhere and include the bin directory in your shell
path.

Building Skycat from the Sources
--------------------------------

Requirements
------------

The following Tcl environment should be installed:

	Tcl8.4.*   - Tcl Shell  (8.4.11, earlier versions may also work)
	Tk8.4.*    - Tk Toolkit (8.4.11, earlier versions may also work)
	itcl3.3    - [Incr Tcl] object system
	BLT2.4z    - BLT toolkit, graphs and other widgets 
	tclX8.4    - Extended Tcl (8.3 should also work)
	TkImg1.3   - Tk Image extensions

You can download a tar file containing the sources for all of the
above packages from:

	ftp://ftp.eso.org/pub/archive/skycat/tcltk-8.4.tar.gz

You can also build skycat against the Linux system Tcl libraries
(installed under /usr/lib). The only system I know of that comes with
all of the required packages is SuSE-10, however I recompiled the
missing rpms for Redhat9, Fedora3, Fedora4, and ScientificLinux-4.1
and put them under ftp://ftp.eso.org/pub/archive/skycat. 


Building the Software
---------------------

To build the software, run these commands:

	% configure --prefix=$INSTALLDIR
	% make all install

There are a number of options you can pass to configure:

  --with-tcl              directory containing tcl configuration (tclConfig.sh)
  --with-tk               directory containing tk configuration (tkConfig.sh)
  --with-blt=DIR          link with BLT library installed in DIR

  --enable-merge          merge the contents of compile-time dependent
                          packages into master rtd, cat and skycat libraries
			  (for backward compatibility)

"configure --help" prints a list of available options.

As an alternative to specifying --with-tcl, you can also set the TCLTK_ROOT
environment variable to point to the top of the Tcl/Tk installation.

--
Please report any problems to me: 

Allan Brighton
abrighto@eso.org



